picocli

## Interface CommandLine.Help.Ansi.IStyle

All Known Implementing Classes:
  CommandLine.Help.Ansi.Style

Enclosing class:
  CommandLine.Help.Ansi

    public static interface CommandLine.Help.Ansi.IStyle

Defines the interface for an ANSI escape sequence.

### Field Summary

Fields
`static java.lang.String` `CSI` The Control Sequence Introducer (CSI) escape sequence "\u001b[".

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `off()` Returns the ANSI escape code for turning this style off.
`java.lang.String` `on()` Returns the ANSI escape code for turning this style on.

### Field Detail

#### CSI

    static final java.lang.String CSI

The Control Sequence Introducer (CSI) escape sequence "\u001b[".

See Also:
  Constant Field Values

### Method Detail

#### on

    java.lang.String on()

Returns the ANSI escape code for turning this style on.

Returns:
  the ANSI escape code for turning this style on

#### off

    java.lang.String off()

Returns the ANSI escape code for turning this style off.

Returns:
  the ANSI escape code for turning this style off